.header {
  padding: 10px 10px;
  background-color: #f2f2f2cc;
}

.header-grid {
  display: grid;
  grid-template-columns: max-content 1fr;
  grid-gap: 20px;
  justify-items: end;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-left: auto;
  margin-right: auto;
}

.nav-menu {
  display: flex;
  align-self: center;
  align-items: center;
  grid-gap: 30px;
}
.nav-menu a:nth-child(-1n+5):hover {
  color: #bc8034;
}
.nav-menu a:nth-child(-1n+5)::after {
  content: "";
  display: block;
  width: 0;
  height: 1px;
  background-color: #bc8034;
  transition: .3s;
}
.nav-menu a:nth-child(-n+5):hover::after {
  content: "";
  display: block;
  width: 100%;
  height: 1px;
  background-color: #bc8034;
  transition: .3s;
}

.h-btn {
  box-shadow: 0px 0px 10px 30px #bc8034 inset;
  padding: 10px 25px;
  color: #f2f2f2;
}
.h-btn:hover {
  box-shadow: 0px 0px 0px 2px #bc8034 inset;
  color: #bc8034;
}

@media only screen and (min-width: 857px) and (max-width: 970px) {
  .nav-menu {
    grid-gap: 15px;
  }
}
@media only screen and (min-width: 291px) and (max-width: 856px) {
  .nav-menu {
    grid-gap: 15px;
  }
  .nav-menu div:last-child {
    margin-left: 0px;
  }
}

@media only screen and (max-width: 290px) {
  .header-grid {
    display: grid;
    grid-template-columns: 1fr 0.2fr;
  }
  .nav-menu div:last-child {
    margin-left: 0px;
  }
}

@media only screen and (max-width: 320px) {
  .logo img {
    max-width: 195px;
  }
}
